Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# PVLoggerRegistry Class Reference

`#include <pvlogger_registry.h>`

## Public Types
typedef PVLogger::log_level_type | log_level_type
typedef PVLogger::alloc_type | alloc_type
## Public Methods
OSCL_IMPORT_REF | PVLoggerRegistry ()
virtual OSCL_IMPORT_REF | ~PVLoggerRegistry ()
OSCL_IMPORT_REF PVLogger * | GetPVLoggerObject (const char *tagIn)
OSCL_IMPORT_REF PVLogger * | CreatePVLogger (const char *tagIn, log_level_type level, bool oAppenderInheritance)
OSCL_IMPORT_REF bool | SetNodeLogLevelExplicit (char *tagIn, log_level_type level)
OSCL_IMPORT_REF void | SetNodeLogLevelExplicit (Oscl_TagTree< PVLogger *, alloc_type >::node_type *node, log_level_type level)
## Static Public Methods
OSCL_IMPORT_REF PVLoggerRegistry * | GetPVLoggerRegistry ()

## Detailed Description

Class: PVLoggerRegistry

PVLoggerRegistry class, maintains a repository of all the loggers, along with their associated tags, in a tag tree. Any request for a log control point is serviced by this class.

Memory Ownership: Creates log control points for each tag, and holds these pointers in the tag tree. PVLogger registry is responsible for calling the destructor on each of these loggers.

## Member Typedef Documentation

typedef PVLogger::alloc_type PVLoggerRegistry::alloc_type

typedef PVLogger::log_level_type PVLoggerRegistry::log_level_type

## Constructor & Destructor Documentation

OSCL_IMPORT_REF PVLoggerRegistry::PVLoggerRegistry | ( |  | ) |

| PVLoggerRegistry Constructor

virtual OSCL_IMPORT_REF PVLoggerRegistry::~PVLoggerRegistry | ( |  | ) | `[virtual]`

| PVLoggerRegistry Destructor

## Member Function Documentation

OSCL_IMPORT_REF PVLogger* PVLoggerRegistry::CreatePVLogger | ( | const char * | tagIn,
|  | log_level_type | level,
|  | bool | oAppenderInheritance
| ) |

  | This method creates a log control point, with specified tag, and level Parameters:
  inputTag | logger tag, viz. "x.y.z"
  level | log level associated with the logging control point
  oAppenderInheritance |
Returns: PVLogger<alloc_type, TheLock>* Pointer to the logging control point

OSCL_IMPORT_REF PVLogger* PVLoggerRegistry::GetPVLoggerObject | ( | const char * | tagIn | ) |

  | PVLoggerRegistry method to get access to a logging control point, associated with a tag. In case the logger for this tag does not exist, it is created afresh, else pointer to the existing one is returned. Parameters:
  inputTag | logger tag, viz. "x.y.z"
  level | log level associated with the logging control point
  oAppenderInheritance |
Returns: PVLogger<Alloc, TheLock>* Pointer to the logging control point

OSCL_IMPORT_REF PVLoggerRegistry* PVLoggerRegistry::GetPVLoggerRegistry | ( |  | ) | `[static]`

| Get the logger registry. There is only one logger registry instance per thread.

OSCL_IMPORT_REF void PVLoggerRegistry::SetNodeLogLevelExplicit | ( | Oscl_TagTree< PVLogger *, alloc_type >::node_type * | node,
|  | log_level_type | level
| ) |

  | This method recursively propagates the log level to all the descendents, of a node. Parameters:
  node | Node ptr, associated with a logger, from the tag tree.
  level | log level associated with the logging control point
Returns: NONE

OSCL_IMPORT_REF bool PVLoggerRegistry::SetNodeLogLevelExplicit | ( | char * | tagIn,
|  | log_level_type | level
| ) |

  | This method propagates the log level to all the descendents of the node, with a specified tag. Parameters:
  tagIn | logger tag, viz. "x.y.z"
  level | log level associated with the logging control point
Returns: true on success, else false.

The documentation for this class was generated from the following file:

- pvlogger_registry.h